lib64qt5core5-5.11.2-2.mga7.x86_64.rpm


Advertisement

Description

lib64qt5core5 - Qt5 Core Library

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package name lib64qt5core5
Package version 5.11.2
Package release 2.mga7
Package architecture x86_64
Package type rpm
Installed size 5.34 MB
Download size 1.91 MB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Qt5 Component Library.
The QtCore module contains core non-GUI functionality.

Alternatives

Package Version Architecture Repository
lib64qt5core5-5.12.0-1.mga7.x86_64.rpm 5.12.0 x86_64 Mageia Core Updates Testing
lib64qt5core5 - - -

Requires

Name Value
ld-linux-x86 64.so.2()(64bit)
ld-linux-x86 64.so.2(GLIBC_2.3)(64bit)
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.25)(64bit) -
libc.so.6(GLIBC_2.28)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.6)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libc.so.6(GLIBC_2.9)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_3.4)(64bit) -
libglib 2.0.so.0()(64bit)
libicui18n.so.62()(64bit) -
libicuuc.so.62()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.3.3)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.2)(64bit) -
libstdc++.so.6(CXXABI_1.3.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libsystemd.so.0()(64bit) -
libsystemd.so.0(LIBSYSTEMD_209)(64bit) -
libz.so.1()(64bit) -
qtbase5-common == 5.11.2

Provides

Name Value
lib64qt5core5 == 5.11.2-2.mga7
lib64qt5core5(x86-64) == 5.11.2-2.mga7
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.0)(64bit) -
libQt5Core.so.5(Qt_5.1)(64bit) -
libQt5Core.so.5(Qt_5.10)(64bit) -
libQt5Core.so.5(Qt_5.11)(64bit) -
libQt5Core.so.5(Qt_5.2)(64bit) -
libQt5Core.so.5(Qt_5.3)(64bit) -
libQt5Core.so.5(Qt_5.4)(64bit) -
libQt5Core.so.5(Qt_5.5)(64bit) -
libQt5Core.so.5(Qt_5.6)(64bit) -
libQt5Core.so.5(Qt_5.7)(64bit) -
libQt5Core.so.5(Qt_5.8)(64bit) -
libQt5Core.so.5(Qt_5.9)(64bit) -
libQt5Core.so.5(Qt_5_PRIVATE_API)(64bit) -

Download

Type URL
Binary Package lib64qt5core5-5.11.2-2.mga7.x86_64.rpm
Source Package qtbase5-5.11.2-2.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qt5core5 rpm package:
    # urpmi lib64qt5core5

Files

Path
/usr/lib/.build-id
/usr/lib/.build-id/d2/281d1029d4228b0307694aee5cebd4becebdfa
/usr/lib64/libQt5Core.so.5
/usr/lib64/libQt5Core.so.5.11
/usr/lib64/libQt5Core.so.5.11.2

Changelog

2018-11-18 - tv <tv> 5.11.2-2.mga7
+ Revision: 1330684
- link moc & co in /bin with -qt5 prefix the FC way (needed for LO)
2018-10-15 - neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1320464
- New version 5.11.2
2018-09-23 - umeabot <umeabot> 5.11.1-3.mga7
+ Revision: 1300693
- Mageia 7 Mass Rebuild
2018-08-21 - tv <tv> 5.11.1-2.mga7
+ Revision: 1253270
- rebuild with latest icu
2018-07-29 - neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245802
- New version 5.11.1
2018-06-26 - daviddavid <daviddavid> 5.11.0-3.mga7
+ Revision: 1239750
- compile against openssl 1.1
2018-05-28 - neoclust <neoclust> 5.11.0-2.mga7
+ Revision: 1232799
- Non bootstrap build
2018-05-25 - neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232155
- New version 5.11.0
2018-04-21 - daviddavid <daviddavid> 5.10.1-5.mga7
+ Revision: 1220660
- non bootstrap build
2018-04-20 - daviddavid <daviddavid> 5.10.1-4.mga7
+ Revision: 1220513
- bootstrap build for arm now (because of broken tslib)

See Also

Package Description
lib64qt5datavisualization-devel-5.11.2-1.mga7.x86_64.rpm Devel files needed to build apps based on QtDataVis3D
lib64qt5datavisualization5-5.11.2-1.mga7.x86_64.rpm Qt5 3D Data Visualization Component Library
lib64qt5dbus-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on QtDBus
lib64qt5dbus5-5.11.2-2.mga7.x86_64.rpm Qt5 DBus Library
lib64qt5designer-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on QtDesigner
lib64qt5designer5-5.11.2-2.mga7.x86_64.rpm Qt5 Component Library
lib64qt5devicediscoverysupport-static-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on DeviceDiscoverySupport
lib64qt5edid-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on Edid
lib64qt5eglfsdeviceintegration-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on EglFSDeviceIntegrations
lib64qt5eglfsdeviceintegration5-5.11.2-2.mga7.x86_64.rpm Qt5 EglFSDeviceIntegrations Library
lib64qt5eglfskmssupport-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on EglFsKmsSupport
lib64qt5eglfskmssupport5-5.11.2-2.mga7.x86_64.rpm Qt5 EglFsKmsSupport Library
lib64qt5eglsupport-static-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on EglSupport
lib64qt5enginio-devel-1.6.3-4.mga7.x86_64.rpm Devel files needed to build apps based on QtEnginio
lib64qt5eventdispatchersupport-static-devel-5.11.2-2.mga7.x86_64.rpm Devel files needed to build apps based on EventDispatcherSupport
Advertisement
Advertisement